Bug 1781871 - local-storage-operator does not support LVM devices
Summary: local-storage-operator does not support LVM devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Hemant Kumar
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On: 1780625 1781869
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-10 18:48 UTC by Hemant Kumar
Modified: 2020-01-22 10:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1781869
Environment:
Last Closed: 2020-01-22 10:46:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift local-storage-operator pull 70 None None None 2020-01-06 18:26:44 UTC
Red Hat Product Errata RHBA-2020:0107 None None None 2020-01-22 10:47:03 UTC

Comment 2 Liang Xia 2020-01-10 09:41:02 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.2.0-0.nightly-2020-01-10-024859   True        False         117m    Cluster version is 4.2.0-0.nightly-2020-01-10-024859

sh-4.4# lvdisplay 
  --- Logical volume ---
  LV Path                /dev/myvg01/mylv01
  LV Name                mylv01
  VG Name                myvg01
  LV UUID                2gsKTT-5b7p-LT2a-52IZ-GmU7-05mi-JDe1Ur
  LV Write Access        read/write
  LV Creation host, time lxia10-dvhlc-w-a-xgmwn.c.openshift-qe.internal, 2020-01-10 09:33:25 +0000
  LV Status              available
  # open                 0
  LV Size                2.00 GiB
  Current LE             512
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:0

$ oc get sc,pv
NAME                                             PROVISIONER                    AGE
storageclass.storage.k8s.io/local-sc-lvm         kubernetes.io/no-provisioner   87s
storageclass.storage.k8s.io/standard (default)   kubernetes.io/gce-pd           127m

NAME                                 CAPACITY   ACCESS MODES   RECLAIM POLICY   STATUS      CLAIM   STORAGECLASS   REASON   AGE
persistentvolume/local-pv-9977ae89   2Gi        RWO            Delete           Available           local-sc-lvm            65s

Comment 4 errata-xmlrpc 2020-01-22 10:46:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0107


Note You need to log in before you can comment on or make changes to this bug.